<?php
/**                  
* Custom Schedule and automation functionality for this package. 
* Do not mistake for the class-automation.php file and class which 
* is global to all WTG plugins.
* 
* This class bridges CSV 2 POST and WEBTECHGLOBAL_Automation class so it can
* be edited where as WEBTECHGLOBAL_Automation class should never be edited.
* 
* Add a function for each automated action to this file. This is where
* the WEBTECHGLOBAL_Automation class can find functions and call them using
* values in data i.e. action name will match a method in this class.
* 
* @package WebTechGlobal WordPress Plugins
* @author Ryan Bayne   
* @version 1.0
*/

// load in WordPress only
defined( 'ABSPATH' ) || die( 'No direct script access allowed!' );

class CSV2POST_Schedule extends WEBTECHGLOBAL_Automation{
           
    /**
    * Register this package within WEBTECHGLOBAL_Automation system and
    * allow the global schedule to be applied.
    * 
    * This does not mean CSV 2 POST can only do what WEBTECHGLOBAL_Automation
    * offers. The automation class from WTG has the purpose of balancing the
    * automation of multiple plugins/themes. It should not be edited and so
    * cannot provide functionality specific to CSV 2 POST. That is what
    * class-schedule.php is for.
    * 
    * @author Ryan R. Bayne
    * @package WebTechGlobal WordPress Plugins
    * @version 1.0
    * 
    * @todo change $plugin_weight to option/setting with a list of 
    * all weights in a single form so the user can order them properly.
    */    
    public function register_for_automation_part2() {
           
        // tell WEBTECHGLOBAL_Automation about the package
        $plugin_title = WTG_CSV2POST_TITLE;
        $plugin_name = WTG_CSV2POST_BASENAME;
        $plugin_abspath = WTG_CSV2POST_ABSPATH;
        $plugin_status = true;// false disables automation for this plugin
        $plugin_weight = 20;
        
        // some tidying 
        $package_atts = array(
            'plugin_title' => $plugin_title,    
            'plugin_name' => $plugin_name,    
            'plugin_abspath' => $plugin_abspath,    
            'plugin_status' => $plugin_status,    
            'plugin_weight' => $plugin_weight,    
        );
        
        // array of possible actions and each can be controlled individually
        $actions_array = array(
            'createposts' => array(),
            'updateposts' => array(),
            'importdata' => array(),
            'updatedata' => array()
        );
        
        // now WEBTECHGLOBAL_Automation actually comes into play
        // this will register the plugin only - no automation trigger
        // all plugins must register before automation called
        $this->register_for_automation_part3( $package_atts, $actions_array );    
    }   
}
?>
